> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch User Profile

> Convert a snowflake to a user profile



## OpenAPI

````yaml https://stash.seraph.si/json post /discord/user/{snowflake}
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/seraph
  title: Seraph API
  version: '4.0'
servers: []
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /discord/user/{snowflake}:
    post:
      tags:
        - Discord
      summary: Fetch User Profile
      description: Convert a snowflake to a user profile
      parameters:
        - description: Discord Snowflake
          in: path
          name: snowflake
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/discord.DiscordResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Bad Request
components:
  schemas:
    discord.DiscordResponse:
      properties:
        cache_time:
          type: integer
        extra:
          $ref: '#/components/schemas/discord.ExtraDataType'
        user:
          $ref: '#/components/schemas/discord.User'
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    discord.ExtraDataType:
      properties:
        avatar:
          $ref: '#/components/schemas/discord.ProfileDisplayType'
        avatar_url:
          type: string
        banner:
          $ref: '#/components/schemas/discord.ProfileDisplayType'
        banner_url:
          type: string
        flags:
          items:
            type: string
          type: array
          uniqueItems: false
      type: object
    discord.User:
      properties:
        accent_color:
          type: integer
        avatar:
          type: string
        avatar_decoration_data:
          $ref: '#/components/schemas/discord.AvatarDecorationData'
        banner:
          type: string
        bot:
          type: boolean
        discriminator:
          type: string
        global_name:
          type: string
        id:
          type: integer
        public_flags:
          $ref: '#/components/schemas/discord.UserFlags'
        system:
          type: boolean
        username:
          type: string
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object
    discord.ProfileDisplayType:
      properties:
        animated:
          type: boolean
        url:
          type: string
      type: object
    discord.AvatarDecorationData:
      properties:
        asset:
          type: string
        sku_id:
          type: integer
      type: object
    discord.UserFlags:
      type: integer
      x-enum-varnames:
        - UserFlagDiscordEmployee
        - UserFlagPartneredServerOwner
        - UserFlagHypeSquadEvents
        - UserFlagBugHunterLevel1
        - _
        - _
        - UserFlagHouseBravery
        - UserFlagHouseBrilliance
        - UserFlagHouseBalance
        - UserFlagEarlySupporter
        - UserFlagTeamUser
        - _
        - _
        - _
        - UserFlagBugHunterLevel2
        - _
        - UserFlagVerifiedBot
        - UserFlagEarlyVerifiedBotDeveloper
        - UserFlagDiscordCertifiedModerator
        - UserFlagBotHTTPInteractions
        - _
        - _
        - UserFlagActiveDeveloper
        - UserFlagsNone

````